Create a document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00125",
"documentID": "statementOfClaim",
"fields": {
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/create"
payload = {
"caseID": "2025-08-00125",
"documentID": "statementOfClaim",
"fields": {
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseID: '2025-08-00125',
documentID: 'statementOfClaim',
fields: {respondentName: 'Mike Smith', respondentAddress: '123 Main Street'}
})
};
fetch('https://api.platform.arb.inc/filings/documents/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.arb.inc/filings/documents/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caseID' => '2025-08-00125',
'documentID' => 'statementOfClaim',
'fields' => [
'respondentName' => 'Mike Smith',
'respondentAddress' => '123 Main Street'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.arb.inc/filings/documents/create"
payload := strings.NewReader("{\n \"caseID\": \"2025-08-00125\",\n \"documentID\": \"statementOfClaim\",\n \"fields\": {\n \"respondentName\": \"Mike Smith\",\n \"respondentAddress\": \"123 Main Street\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platform.arb.inc/filings/documents/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caseID\": \"2025-08-00125\",\n \"documentID\": \"statementOfClaim\",\n \"fields\": {\n \"respondentName\": \"Mike Smith\",\n \"respondentAddress\": \"123 Main Street\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platform.arb.inc/filings/documents/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caseID\": \"2025-08-00125\",\n \"documentID\": \"statementOfClaim\",\n \"fields\": {\n \"respondentName\": \"Mike Smith\",\n \"respondentAddress\": \"123 Main Street\"\n }\n}"
response = http.request(request)
puts response.read_body{
"filingID": "3"
}case not foundyou are registered as an observer and cannot file documents in this casedocument not allowed in this phasefiling deadline for this document has closedfiling limit for this document type reached{
"validationErrors": [
{
"field": "respondentName",
"message": "must be at least 20 characters."
}
]
}filings
Create a document
Creates a new document for a case using a document template.
POST
/
filings
/
documents
/
create
Create a document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00125",
"documentID": "statementOfClaim",
"fields": {
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/create"
payload = {
"caseID": "2025-08-00125",
"documentID": "statementOfClaim",
"fields": {
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseID: '2025-08-00125',
documentID: 'statementOfClaim',
fields: {respondentName: 'Mike Smith', respondentAddress: '123 Main Street'}
})
};
fetch('https://api.platform.arb.inc/filings/documents/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.arb.inc/filings/documents/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caseID' => '2025-08-00125',
'documentID' => 'statementOfClaim',
'fields' => [
'respondentName' => 'Mike Smith',
'respondentAddress' => '123 Main Street'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.arb.inc/filings/documents/create"
payload := strings.NewReader("{\n \"caseID\": \"2025-08-00125\",\n \"documentID\": \"statementOfClaim\",\n \"fields\": {\n \"respondentName\": \"Mike Smith\",\n \"respondentAddress\": \"123 Main Street\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platform.arb.inc/filings/documents/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caseID\": \"2025-08-00125\",\n \"documentID\": \"statementOfClaim\",\n \"fields\": {\n \"respondentName\": \"Mike Smith\",\n \"respondentAddress\": \"123 Main Street\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platform.arb.inc/filings/documents/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caseID\": \"2025-08-00125\",\n \"documentID\": \"statementOfClaim\",\n \"fields\": {\n \"respondentName\": \"Mike Smith\",\n \"respondentAddress\": \"123 Main Street\"\n }\n}"
response = http.request(request)
puts response.read_body{
"filingID": "3"
}case not foundyou are registered as an observer and cannot file documents in this casedocument not allowed in this phasefiling deadline for this document has closedfiling limit for this document type reached{
"validationErrors": [
{
"field": "respondentName",
"message": "must be at least 20 characters."
}
]
}Authorizations
access token
Body
application/json
ID of the case to file into.
Example:
"2025-08-00125"
Identifier of the document type/template.
Example:
"statementOfClaim"
Key-value field inputs for the document.
Show child attributes
Show child attributes
Example:
{
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
Response
Document successfully filed.
ID of the created filing.
Example:
"3"